=== subprojects/prometheus-client-c/docker/Makefile ===
docker:
	docker build -t prometheus-client-c-dev .
