=== debian/changelog ===
open5gs (2.7.6) unstable; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 10:02:38 +0900

open5gs (2.7.6~plucky) plucky; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:59:50 +0900

open5gs (2.7.6~oracular) oracular; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:57:14 +0900

open5gs (2.7.6~noble) noble; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:55:32 +0900

open5gs (2.7.6~jammy) jammy; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:53:39 +0900

open5gs (2.7.6~focal) focal; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:51:57 +0900

open5gs (2.7.6~bionic) bionic; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:49:35 +0900
