## open5gs 2.7.6.4730.0516.202507192026

=== debian/changelog ===
open5gs (2.7.6.4730.0516.202507192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 19 Jul 2025 20:27:54 +0000
