## open5gs 2.7.6.4731.e3c3.202507202026

=== debian/changelog ===
open5gs (2.7.6.4731.e3c3.202507202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 20 Jul 2025 20:27:56 +0000
