## open5gs 2.7.6.4735.60a9.202507212026

=== debian/changelog ===
open5gs (2.7.6.4735.60a9.202507212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 21 Jul 2025 20:27:56 +0000
