## open5gs 2.7.6.4737.f73d.202507232026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 23 Jul 2025 20:27:56 +0000
