## open5gs 2.7.6.4739.ad80.202507282026

=== debian/changelog ===
open5gs (2.7.6.4739.ad80.202507282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 28 Jul 2025 20:27:58 +0000
