## open5gs 2.7.6.4740.4e21.202507302026

=== debian/changelog ===
open5gs (2.7.6.4740.4e21.202507302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 30 Jul 2025 20:27:58 +0000
