=== debian/changelog ===
open5gs (2.7.6.4740.4e21.202508012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 01 Aug 2025 20:27:57 +0000
