## open5gs 2.7.6.4742.d787.202508042026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 04 Aug 2025 20:27:56 +0000
