## open5gs 2.7.6.4742.d787.202508072026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 07 Aug 2025 20:27:57 +0000
